@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.13.1/font/bootstrap-icons.min.css");

* {
  box-sizing: border-box;
  scroll-behavior: smooth;
  margin: 0;
  padding: 0;

}

body {
  font-family: poppins;
  background: rgb(43, 104, 94);
  color: #222;
  min-height: 100vh;
  scroll-behavior: smooth;
  

}

header {
  background: rgb(14, 112, 112);
  color: #fff;
  font-size: 1.2rem;
  font-weight: 600;
}

header .brand {
  font-size: 2.5rem;
}

.container {
  position: fixed;
  max-width: 100vw;
  margin: 0 auto;
  width: 100%;
  padding: 12px 16px;
  display: flex;
  align-items: center;
  gap: 12px;
  z-index: 1000;
  background: rgb(14, 112, 112);

}

header .search {
  margin: 5px 0px 5px 50vw;
  width: 40vw;
  font-weight: 600;
}

.brand {
  font-size: 3rem;
  font-weight: 700;

  letter-spacing: 0.3px;
}

.navbar {
  porition: relative;
  margin-left: auto;
  display: flex;
  align-items: center;
  gap: 12px;
}

.nav-links {
  display: flex;
  list-style: none;
  gap: 18px;
  align-items: center;
}

.nav-links a {
  color: #fff;
  text-decoration: none;
  padding: 6px 1rem;
  border-radius: 20px;
}

.nav-links a:hover {
  background: rgba(255, 255, 255, 0.06);
  transition: 0.3s ease;
}

.search {
  display: flex;
  align-items: center;
  gap: 8px;
}

.search input {
  padding: 6px 8px;
  border-radius: 6px;
  border: none;
  outline: none;
  min-width: 140px;
}

.search button {
  padding: 7px 10px;
  border-radius: 6px;
  border: none;
  cursor: pointer;
}

.banner .frame {
  margin-top: 14vh;
  width: 100%;
  height: 80vh;
  background-repeat: no-repeat;
  aspect-ratio: 4/2;
}

.hamburger {
  display: none;
  font-size: 2rem;
  background: transparent;
  color: #fff;
  border: none;
  cursor: pointer;
}

.panel {
  position: fixed;
  top: 0;
  right: 0;
  min-height: 100%;
  width: 65%;
  max-width: 340px;
  background: rgb(24, 144, 160);
  font-size: 1.8rem;
  font-weight: 600;
  transform: translateX(100%);
  transition: transform 0.28s ease;
  z-index: 1200;
  padding: 10px 1.5rem;
  display: flex;
  flex-direction: column;
  gap: 18px;
}

.panel.open {
  transform: translateX(0);
}

.panel .close-btn {
  align-self: flex-end;
  font-size: 2.5rem;
  background: transparent;
  color: #fff;
  padding: 0.2rem 0.7rem;
  border: none;
  cursor: pointer;
}

.close-btn:hover {
  background-color: rgba(252, 30, 30, 0.627)
}

.panel .panel-links {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 14px;
  margin-top: 6px;
}

.panel .panel-links a {
  text-decoration: none;
  color: #fff;
  font-size: 18px;
  padding: 10px;
  border-radius: 8px;
}

.panel .panel-links a:hover {
  background: rgba(255, 255, 252, 0.425);
  font-size: 1.1rem;
}

main {
  min-height: 60vh;
}

footer {
  width: 100%;
  background: linear-gradient(90deg, rgb(27, 142, 152), rgba(56, 12, 121, 0.412), rgb(14, 34, 210));
}

.footer-start {
  margin: 10px 0 0 0;
  padding: 2rem 1.5rem;
  display: flex;
  height: auto;
  width: 100%;
  justify-content: space-around;
}

.footer-about {
  margin-left: 1.5rem;
  flex-direction: column;
  color: rgba(255, 255, 255, 0.668);
  justify-content: center;
  width: 35%;
}

.footer-about h2 {
  text-align: left;
  color: white;
  font-size: 2rem;
  width: auto;
}

#foot-about {
  font-size: 1rem;
  display: inline;
  width: 23%;
}

.footer-link,
.community {
  display: flex;
  flex-direction: column;
  height: fit-content;
  text-align: left;
  font-weight: 700;
  margin-left: 1.5rem;

}

.footer-link ul,
.community ul {
  display: flex;
  flex-direction: column;
  list-style-type: none;
}

.footer-link ul li,
.community ul li {
  padding: 0.6rem;
  color: rgba(255, 255, 255, 0.668);
}

.footer-link ul li:hover,
.community ul li:hover {
  color: rgba(255, 255, 255, 0.935);
  transition: color 0.4s ease;
}

.social-link {
  display: block;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: left;
  margin-left: 1.5rem;
}

.social-link h3 {
  color: white;
}

/* Social icons */
.link {
  display: flex;
  gap: 15px;
}

.link a {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background: #1f3157;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #cbd5f5;
  font-size: 18px;
  transition: 0.3s;
}

.link a:hover {
  background: #2563eb;
  color: #fff;
  transform: translateY(-3px);
}



footer a {
  text-decoration: none;
}

.footer-end {
  font-weight: 600;
  text-align: center;
  height: auto;
  color: white;
  padding: 0.9rem;
  width: 100vw;
  border-top: 2px solid rgba(255, 223, 223, 0.248);
}


@media (max-width: 900px) {

  .nav-links,
  .search {
    display: none;
  }

  header .banner .frame {
    height: auto;
    width: 100%;
  }

  .hamburger {
    display: block;
  }

  .container {
    display: flex;
    align-items: center;
  }
}


@media (max-width: 850px) {
  .search input {
    min-width: 220px;
  }

  .panel {
    display: flex;
    overflow-y: auto;
    scroll-behavior: smooth;
  }

  .footer-start {
    flex-wrap: wrap;
    height: auto;
    align-items: center;
    justify-content: space-around;
    align-items: flex-start;
    gap: 20px;
  }

  .footer-about {
    flex: 1 1 50%;
  }

  .footer-link {
    flex: 1 1 20%;
  }

  .community {
    flex: 1 1 50%;
  }

  .social-link {
    flex: 1 1 20%;
  }
}

@media (max-width: 750px) {
  header .banner .frame {
    height: auto;
    width: 100%;
  }

  .container {
    height: fit-content;
  }

  .footer1 h3 {
    font-size: 1rem;
  }

  .footer-end {
    font-size: 1rem;
    height: 10vh;
    padding: 1rem 0;
    text-align: center;
    width: 100%;
  }

  .footer-start {
    flex-direction: column;
    height: auto;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    padding: 0px auto;
  }

  .footer-about h2 {
    text-align: center;
    font-size: 2rem;
  }

  .footer-about {
    width: 100%;
    margin: 0px auto;
    text-align: center;
  }

  .footer-link {
    margin: 0px auto;
    text-align: center;
  }

  .community {
    margin: 0px auto;
    text-align: center;
  }

  .social-link {
    margin: 0px auto;
    text-align: center;
  }}

  /* Jab device mobile ho aur height kam ho */

  .panel {
        max-height: 80vh; /* Screen ki height ka 80% */
        overflow-y: auto; /* Agar content zyada ho to scroll bar dikhaye */
        -webkit-overflow-scrolling: touch; /* iOS par smooth scrolling ke liye */
    }




  @media (max-width: 400px) {
    .container .brand {
      font-size: 2.2rem;
    }

    .container {
      font-size: 1rem;
      padding: 10px 12px;
      gap: 10vw;
    }

    .box {
      width: 50%;
      height: auto;
    }

    .bob-image {
      width: 50%;
      hight
    }

    .banner .frame {
      height: auto;
      width: 100%;
    }

    header {
      display: flex;
      flex-direction: column;
    }
    

    footer .footer-start {
      flex-direction: column;
      height: auto;
      align-items: center;
      justify-content: center;
    }

    .footer-end {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      font-size: 0.9rem;
    }
  }

